org.apache.poi.sl.draw.binding

## Class CTConnection

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTConnection

-     public class CTConnection
      extends java.lang.Object

  Java class for CT_Connection complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_Connection">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="id" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_DrawingElementId" />
             <attribute name="idx" use="required" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `id`
    `protected long` | `idx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTConnection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getId()` Gets the value of the id property.
    `long` | `getIdx()` Gets the value of the idx property.
    `boolean` | `isSetId()`
    `boolean` | `isSetIdx()`
    `void` | `setId(long value)` Sets the value of the id property.
    `void` | `setIdx(long value)` Sets the value of the idx property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected long id

    - #### idx

          protected long idx

  - ### Constructor Detail

    - #### CTConnection

          public CTConnection()

  - ### Method Detail

    - #### getId

          public long getId()

      Gets the value of the id property.

    - #### setId

          public void setId(long value)

      Sets the value of the id property.

    - #### isSetId

          public boolean isSetId()

    - #### getIdx

          public long getIdx()

      Gets the value of the idx property.

    - #### setIdx

          public void setIdx(long value)

      Sets the value of the idx property.

    - #### isSetIdx

          public boolean isSetIdx()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.